Public Member Functions | Private Attributes

# SaveLoadWindow Struct Reference

Inheritance diagram for SaveLoadWindow:

## Public Member Functions
void | GenerateFileName ()
| Generate a default save filename.
| SaveLoadWindow (const WindowDesc *desc, SaveLoadDialogMode mode)
virtual void | DrawWidget (const Rect &r, int widget) const
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual void | OnPaint ()
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnMouseLoop ()
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
virtual void | OnTimeout ()
virtual void | OnResize ()
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
## Private Attributes
FiosItem | o_dir
const FiosItem * | selected
Scrollbar * | vscroll

## Detailed Description

Definition at line 231 of file fios_gui.cpp.

## Member Function Documentation

void SaveLoadWindow::GenerateFileName | ( |  | ) | `[inline]`

Generate a default save filename.

Definition at line 239 of file fios_gui.cpp.

References QueryStringBaseWindow::edit_str_buf, QueryStringBaseWindow::edit_str_size, and GenerateDefaultSaveName().

virtual void SaveLoadWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | Information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Definition at line 679 of file fios_gui.cpp.

References _settings_client, LoadCheckData::Clear(), GLC_NOT_FOUND, LoadCheckData::grf_compatibility, ClientSettings::gui, LoadCheckData::HasErrors(), LoadCheckData::HasNewGrfs(), Window::SetWidgetDisabledState(), SLD_LOAD_GAME, SLD_LOAD_SCENARIO, GUISettings::UserIsAllowedToChangeNewGRFs(), WID_SL_LOAD_BUTTON, WID_SL_MISSING_NEWGRFS, and WID_SL_NEWGRF_INFO.

The documentation for this struct was generated from the following file:

- src/fios_gui.cpp